Run an agent
Authorization
ApiKeyAuth API key from API Keys in the dashboard menu.
In: header
Path Parameters
Query Parameters
trueWith async=false, which result to return. Required then.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/agents/string/run" \ -H "Content-Type: application/json" \ -d '{}'{ "task_id": "string", "agent_id": "string", "status": "queued", "outcome": "terminal", "result": {}}